Summary:	Program which generate 3D surfaces with Mathematical formulas
Name:		k3dsurf
Version:	0.6.2
Release:	%mkrel 3
License:	GPL
Group:		Sciences/Mathematics
Url:		http://k3dsurf.sourceforge.net/
Source0:	http://downloads.sourceforge.net/k3dsurf/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
BuildRequires:	kdelibs-devel
BuildRequires:	libqt-devel	>= 3.3.7
BuildRequires:	libmesaglu-devel
Requires:	povray
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
K3DSurf is a program for visualizing and manipulating multidimensional
surfaces by using Mathematical equations. It's also a "modeler" for
POV-Ray in the area of parametric surfaces. It features 3D, 4D, 5D,
and 6D HyperObjects visualization, full support for all functions
(like the C language), support for mouse events in the drawing area,
animation and morph effects, Povscript and mesh file generation, and
support for VRML2 and OBJ files. More than 100 examples are provided.

%prep
%setup -q %{name}-%{version}

%build
export QTDIR=%{_prefix}/lib/qt3
qmake

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -D bin/%{name} %{buildroot}%{_bindir}/%{name}
install -D %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D icon/catenoid_mini_16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D icon/catenoid_mini_32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D icon/catenoid_mini_64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc readme copying
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.2-3mdv2008.1
+ Revision: 170906
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-2mdv2008.0
+ Revision: 40677
- requires povray

* Fri Jun 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2008.0
+ Revision: 39837
- new version
-  correct scriplets


* Sat Jan 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2007.0
+ Revision: 114381
- Import k3dsurf

